import { __decorate } from "tslib";
import { customElement } from "@microsoft/fast-element";
import { Card, CardTemplate as template } from "@microsoft/fast-foundation";
import { CardStyles as styles } from "./card.styles";
/**
 * The FAST Card Element. Implements {@link @microsoft/fast-foundation#Card},
 * {@link @microsoft/fast-foundation#CardTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-card\>
 */
let FASTCard = class FASTCard extends Card {
};
FASTCard = __decorate([
    customElement({
        name: "fast-card",
        template,
        styles,
    })
], FASTCard);
export { FASTCard };
