import { __decorate } from "tslib";
import { customElement } from "@microsoft/fast-element";
import { TabPanel, TabPanelTemplate as template } from "@microsoft/fast-foundation";
import { TabPanelStyles as styles } from "./tab-panel.styles";
/**
 * The FAST Tab Panel Custom Element. Implements {@link @microsoft/fast-foundation#TabPanel},
 * {@link @microsoft/fast-foundation#TabPanelTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-tab-panel\>
 */
let FASTTabPanel = class FASTTabPanel extends TabPanel {
};
FASTTabPanel = __decorate([
    customElement({
        name: "fast-tab-panel",
        template,
        styles,
    })
], FASTTabPanel);
export { FASTTabPanel };
