import { Badge } from "@microsoft/fast-foundation";
/**
 * Badge appearance options.
 * @public
 */
export declare type BadgeAppearance = "accent" | "lightweight" | "neutral" | string;
/**
 * The FAST Badge Element. Implements {@link @microsoft/fast-foundation#Badge},
 * {@link @microsoft/fast-foundation#BadgeTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-badge\>
 */
export declare class FASTBadge extends Badge {
    appearance: BadgeAppearance;
    private appearanceChanged;
}
