import { __decorate } from "tslib";
import { customElement } from "@microsoft/fast-element";
import { Menu, MenuTemplate as template } from "@microsoft/fast-foundation";
import { MenuStyles as styles } from "./menu.styles";
/**
 * The FAST Menu Element. Implements {@link @microsoft/fast-foundation#Menu},
 * {@link @microsoft/fast-foundation#MenuTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-menu\>
 */
let FASTMenu = class FASTMenu extends Menu {
};
FASTMenu = __decorate([
    customElement({
        name: "fast-menu",
        template,
        styles,
    })
], FASTMenu);
export { FASTMenu };
