import { __decorate } from "tslib";
import { customElement } from "@microsoft/fast-element";
import { Slider, SliderTemplate as template } from "@microsoft/fast-foundation";
import { SliderStyles as styles } from "./slider.styles";
/**
 * The FAST Slider Custom Element. Implements {@link @microsoft/fast-foundation#Slider},
 * {@link @microsoft/fast-foundation#SliderTemplate}
 *
 *
 * @public
 * @remarks
 * HTML Element: \<fast-slider\>
 */
let FASTSlider = class FASTSlider extends Slider {
};
FASTSlider = __decorate([
    customElement({
        name: "fast-slider",
        template,
        styles,
    })
], FASTSlider);
export { FASTSlider };
